#!/usr/bin/perl

$usage = <<'EOF';
usage: returnmap.pl [-d <number>] [-s] [<filename>]
	-s : use stdin
	-d : embedding dimension : default is 2
	<filename> is a file with a single column
EOF

# calculate return map

require "getopts.pl";
&Getopts('sd:');

if ($opt_s) {
	$fp = STDIN;
} else {
	if ($#ARGV==-1) {
		print $usage;
		exit(0);
	}
	open(FP,$ARGV[0]);
	$fp = FP;
}

if ($opt_d) {
	$dim = $opt_d;
} else {
	$dim = 2;
}

for ($i=0; $i<$dim; ++$i) {
	$timeseries[$i] = 0.0;
}	
while (<$fp>) {
	chop;
	$timeseries[$i] = $_;
	for ($k=$i-$dim+1; $k<=$i; ++$k) {
		print $timeseries[$k]." ";
	}
	print "\n";
	$i++;
}

close $fp;



