//----------------------------------------------------------------------------
// 
//	file: geninptest.cc
// 
//	function: test geninput class 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Sat Sep 12 03:45:54 CDT 1998
// 
//	$Revision: 1.3 $ $Date: 2000/01/30 14:55:55 $
//	$Log: geninptest.cc,v $
//	Revision 1.3  2000/01/30 14:55:55  yschoe
//	*** empty log message ***
//
//	Revision 1.2  1999/02/09 07:56:44  yschoe
//	test added features in geninput and inputlist class
//
//	Revision 1.1  1998/10/16 10:35:21  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <window.h>
#include <math.h>
#include <iostream.h>
#include <stream.h>
#include <nnview/real.h>
#include <nnview/matrix_window.h>
#include <nnview/plot_window.h>
#include <nnview/tool_window.h>
#include <nnview/util.h>
#include <nnview/geninput.h>
#include <nnview/disputil_window.h>

main_window     *mw;
matrix_window   *matw;
callback_button *runit;
callback_button *clearit;
geninput 	*input;

REAL **mat;

int N = 48;

// the actual action takes place here.
void run() {

  //static int i, j;
  static int count;
  for (int i=0; i<36; ++i) {
  	input->clear_input();
 	REAL sigmax = 2; //(REAL)(drand48()*2+1);
	REAL sigmay = 8; //REAL sigmay = (REAL)(drand48()*8+1);
	REAL angle  = (count)%360; //REAL angle  = (REAL)(drand48()*360.0);
  	cout << "sigmax = " << sigmax 
	     << " sigmay = " << sigmay
	     << " angle = " << angle << endl;
/*
  	input->add_input(N/2,N/2,
			sigmax, sigmay, angle);
			// 10,10,
			// 3,(REAL)0.0,0.0);//(REAL)angle);	
			//(int)(drand48()*N),(int)(drand48()*N),
			//(REAL)(drand48()*8+3),(REAL)(drand48()*16+3),
			//(REAL)(drand48()*360.0));
*/

  	input->add_input(N/2,N/2,
			1.5,i*10.0);

  /*	input->add_input((int)(drand48()*N),(int)(drand48()*N),
			(REAL)(drand48()*8));
  */
  	matw->redraw();
  	XFlush(display);
	matw->draw_circle(N/2,N/2,1,0.0);
	matw->draw_circle(N/2,N/2,N/2-3,1.0);
  	count ++;

  }
  //cout << "run\n";
}

// clear mat
void clear() {
  disputil_window *dw = new disputil_window("disputil",mat,N,N,20);
  // input->clear_input();
  matw->redraw();
  XFlush(display);
  cout << "clean\n";
}

// Main
int main(int argc, char *argv[]) {

  mat = new REAL* [N];
  for (int i=0; i<N; ++i) mat[i] = new REAL [N];

  // setup input class
  input = new geninput(mat,N,N,INP_SQR,INP_NORM_SQRT);
  input->clear_input();

  // setup the windows
  mw = new main_window(argv[0],480,260);

  matw = new matrix_window(*mw,240,240,0,0,0,60,COLOR,N,N,mat);

  runit = new callback_button(*mw,"Run",run,
                mw->width/4,20,mw->width/2,mw->height-20);

  clearit = new callback_button(*mw,"Clean",clear,
                mw->width/4,20,mw->width*1/4,mw->height-20);

   
  // add quit button
  new quit_button(*mw,mw->width/4,20,mw->width*3/4,mw->height-20);

  // start main loop
  mw->main_loop();

}
  
