//----------------------------------------------------------------------------
// 
//	file: hsvppmtest.cc
// 
//	function: test hsv<->rgb conversion 
//	author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//	creation: Mon Jan  4 19:26:00 CST 1999
// 
//	$Revision: 1.1 $ $Date: 1999/02/09 07:56:44 $
//	$Log: hsvppmtest.cc,v $
//	Revision 1.1  1999/02/09 07:56:44  yschoe
//	Initial revision
//
//
//----------------------------------------------------------------------------
#include <iostream.h>
#include <nnview/ppmio.h>
#include <nnview/matrix.h>
#include <nnview/hsvrgb.h>
#include <nnview/geninput.h>

int main(int argc, char *argv[]) {

  matrix<REAL> *mat = new matrix<REAL>(200,100);
  matrix<REAL> *mat2 = new matrix<REAL>(11,11);

  ppmio *io = new ppmio(mat->mat,200,100,256);

  // fill in the matrix
  for (int i=0; i<200; ++i) 
    for (int j=0; j<100; ++j) 
    	mat->mat[i][j] = 0.0; //(sin((REAL)i/20.0)+1.0)/2.0
                      //* (cos((REAL)j/20.0)+1.0)/2.0 * 20.0;

  geninput::gaussian(mat->mat,200,100,100,50,50.0,50.0,45.0);

  // write matrix to ppm file
  io->ppmwrite("hsvppmtest.ppm",0.0,0.0,PPM_HSV);

  ppmio *io2 = new ppmio(mat2->mat,11,11,256);
  io2->ppmread("read.ppm");

  mat2->print_matrix();

  delete io;
  delete io2;
  delete mat;
  delete mat2;
}

