## usage: gaussian3(N,M,sigmax,sigmay,cx,cy,theta)
##
## Returns a NxM matrix with gaussian sigmax and sigmay with orientation theta.
##	The orientation theta is in screen coordinates.

## Author: Yoonsuck Choe <yschoe@cs.utexas.edu>

function g = gaussian3 (n, m, sigmax, sigmay, cx, cy, theta)

  radian = theta * pi / 180.0;

  x = (1:m)'*(zeros(1,n).+1).-cx;
  y = (zeros(m,1).+1)*(1:n).-cy;

  xsq = ((x*cos(radian) + y*sin(radian)).^2)/(sigmay**2);
  ysq = ((-x*sin(radian) + y*cos(radian)).^2)/(sigmax**2);

  g = exp(-(xsq+ysq));

endfunction
